<template>
    <div class="app-container" v-loading="loading">
        <div v-if="link">
            <iframe :src="link" frameborder="0" width="100%" height="800px" scrolling="auto" id="iframe"
            class="iframe-container"></iframe>
        </div>
    </div>
</template>

<script>
import {getQxhyToken} from '@/api/system/qxhy'
export default {
    data() {
        return {
            link: '',
            loading: false
        }
    },
    mounted() {
        this.getToken()
    },
    methods: {
        getToken(){
            console.log(this.$route.query,'this.$route.query')
            getQxhyToken().then(res=>{
                console.log(res,'eeeeeeeee')
                if(res.code == 200){
                    this.link = `${this.$route.query.link}?token=${res.data}`
                    console.log(this.link,'this.link ')
                }
            })
        },
    },
}
</script>

<style  scoped>
.app-container {
    min-height: calc(100vh-130px);
}

.iframe-container {
    position: relative;
    width: 100%;
    min-height: calc(100vh-130px);
    border: none;
    padding-bottom: 16px;

}
</style>>

</style>